using Godot;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace Rokojori
{ 
  public abstract class AudioEffectStereo:AudioProcessor
  { 
    public readonly AudioStreamInput inputL;    
    public readonly AudioStreamInput inputR;
    
    public readonly AudioStreamOutput outputL;
    public readonly AudioStreamOutput outputR;

    public AudioEffectStereo( AudioGraph ag ): base( ag )
    {
      inputL = new AudioStreamInput( this );
      inputR = new AudioStreamInput( this );

      outputL = new AudioStreamOutput( this );
      outputR = new AudioStreamOutput( this );
    }

  }

}